ps2 mouse does not work in Feisty FINAL VERSION

Bug #108382 reported by Bob Warren on 2007-04-21
106
Affects Status Importance Assigned to Milestone
linux-source-2.6.20 (Ubuntu)
High
Unassigned

Bug Description

This may well be a duplicate of bugs 108221 (PS/2 mouse port not working with SiS chipsets on Feisty), 95305 (PS/2 mouse using DIN adapter not working in Feisty) or 93254 (usb mouse doesn't work in feisty).

The point is, that Feisty has been launched (20th April) and these bug reports have apparently been ignored.

Trying out Feisty only to find that:-
(1) the PS2 mouse does not work on the same machine that it has worked on in all previous versions of Ubuntu
(2) the PS2 mouse does not work in spite of the fact that various bug reports have been submitted
- is VERY DISAPPOINTING to say the least!

This is fundamental! I suggest that Ubuntu look into it ASAP in order to preserve their good name.

Bob Warren

Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this bug and helping to make Ubuntu better. Unfortunately we can't fix it, because your description doesn't yet have enough information.
Please include the following additional information, if you have not already done so (please pay attention to lspci's additional options), as required by the Ubuntu Kernel Team:
1. Please include the output of the command 'uname -a' in your next response. It should be one, long line of text which includes the exact kernel version you're running, as well as the CPU architecture.
2. Please run the command 'dmesg > dmesg.log' and attach the resulting file 'dmesg.log' to this bug report.
3. Please run the command 'sudo lspci -vvnn > lspci-vvnn.log' and attach the resulting file 'lspci-vvnn.log' to this bug report.
For your reference, the full description of procedures for kernel-related bug reports is available at https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks in advance!

Hi Brian,

Thanks for your immediate response.
Bearing in mind that I am an ordinary user of Ubuntu rather than a
technician, perhaps you could give me some indication of how to help in
the way you ask without the use of a mouse.

Thanks in advance.

Bob Warren

Bob Warren (warren-howsoft) wrote :

OK Brian, I've found it: ALT + F1
Now we'll see if I can do the rest without a mouse.
Hopefully, useful info follows.

Bob

Bob Warren (warren-howsoft) wrote :

Hi Brian,

 >1. Please include the output of the command 'uname -a' in your next
response. It should be one, long line of text which includes the exact
kernel version you're running, as well as the CPU architecture.

-----------------------------------
Here it is. Please note that I am using a live CD:

Linux ubuntu 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686
GNU/Linux

----------------------------------
 >2. Please run the command 'dmesg > dmesg.log' and attach the resulting
file 'dmesg.log' to this bug report.

>3. Please run the command 'sudo lspci -vvnn > lspci-vvnn.log' and attach the resulting file 'lspci-vvnn.log' to this bug report.
------------------------
Sorry, but the task of saving these log files and either setting up an e-mail account to send them or copying them to my other machine where I can send them to you - without the use of a mouse - is a bit beyond this layman's capacity!
Unless you can give me a few magic tips, I will have to give up on these tasks I'm afraid.

Regards,
Bob

Bob Warren (warren-howsoft) wrote :

Hey Brian:

I was critical about the fact that this bug has escaped, and I have told
you why. Even though I am a simple user and not an Ubuntu employee, I am
concerned. That's because it is potentially damaging to Ubuntu's
reputation. I would like to see it fixed ASAP, and if necessary I am
prepared to continue giving up part of my weekend in order to carry it
forward. If you are prepared to do the same, then I am at your disposal.

Part of the problem here is perhaps the fact that Ubuntu engineers are
insufficently used to dealing with ordinary members of the public. In
fact, a real layman who was enthusiastic enough to report a bug of this
type would not even know that it was a PS2 mouse that was causing the
trouble, let alone have the capacity to cooperate in the way you tell me
your bureaucracy demands. He would simply say "My mouse no longer works
in Ubuntu. Please fix it." In fact, many real lay people would not
bother to get even that far, they would either go back to Windows or
seek another Linux distribution.

Unfortunately, known difficulty with the PS2 mouse has escaped into the
final version of Feisty Fawn. I shouldn't have happened, but it has. So
let's put it right as soon as we can, shall we?

Regards,
Bob

Loki-uk (brian-dawe) wrote :

Hi I've got the exact same scenario but I've isntalled 7.04 as a clean install. This seems to be quite a common problem throughout the Ubuntu forums the PS2 isn't working. If you need more data I will happily send you the same data.

Another Brian :)

Bob Warren (warren-howsoft) wrote :

Hi Brian,

Thanks very much for the news and for letting me know that I am not
alone in my outrage.
Please do me a favour and send your data to the other Brian in the hope
that the deluge finally penetrates his bureaucracy.

Best regards,
Bob

Loki-uk wrote:
> Hi I've got the exact same scenario but I've isntalled 7.04 as a clean install. This seems to be quite a common problem throughout the Ubuntu forums the PS2 isn't working. If you need more data I will happily send you the same data.
>
> Another Brian :)
>
>

Bob Warren (warren-howsoft) wrote :

Sorry, I forgot that you might not have the address. It's <email address hidden> .

Bob

Loki-uk wrote:
> Hi I've got the exact same scenario but I've isntalled 7.04 as a clean install. This seems to be quite a common problem throughout the Ubuntu forums the PS2 isn't working. If you need more data I will happily send you the same data.
>
> Another Brian :)
>
Bob Warren wrote:

 >Thanks very much for the news and for letting me know that I am not
alone in my outrage.
Please do me a favour and send your data to the other Brian in the hope
that the deluge finally penetrates his bureaucracy.

Brian Murray (brian-murray) wrote :

loki-uk could you provide us with the output of lspci and dmesg as I asked for earlier? I have been unable to reproduce this issue with a PS2 mouse here.

Loki-uk (brian-dawe) wrote :

Hi yeah i'll do it now. I'll have to reinstall 7.04 but that's not a
problem.

I'll get the logs over to you in an hour or so :)

Brian

----- Original Message -----
From: "Brian Murray" <email address hidden>
To: <email address hidden>
Sent: Monday, April 23, 2007 9:01 PM
Subject: [Bug 108382] Re: ps2 mouse does not work in Feisty FINAL VERSION

loki-uk could you provide us with the output of lspci and dmesg as I
asked for earlier? I have been unable to reproduce this issue with a
PS2 mouse here.

--
ps2 mouse does not work in Feisty FINAL VERSION
https://bugs.launchpad.net/bugs/108382
You received this bug notification because you are a direct subscriber
of the bug.

Loki-uk (brian-dawe) wrote :

Hi Brian

I have reinstalled 7.04 using the alternate cd (I booted from the original
live cd but with no mouse it's hard to install).

OK the info I have is as follows -

uname -a

Linux ubuntu 2.6.50-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686
GNU/Linux

the other log files are attached which was a mission in itself (linux
newbie) i've reconfigured xserver several times with different mouse
settings and manually added lines to modules to load a 'driver' but it never
changes the mouse doesn't work. The keyboard is fine. This seems to be quite
a common error in the forums. I hope this info helps.

Brian

----- Original Message -----
From: "Brian Murray" <email address hidden>
To: <email address hidden>
Sent: Monday, April 23, 2007 9:01 PM
Subject: [Bug 108382] Re: ps2 mouse does not work in Feisty FINAL VERSION

loki-uk could you provide us with the output of lspci and dmesg as I
asked for earlier? I have been unable to reproduce this issue with a
PS2 mouse here.

--
ps2 mouse does not work in Feisty FINAL VERSION
https://bugs.launchpad.net/bugs/108382
You received this bug notification because you are a direct subscriber
of the bug.

Loki-uk (brian-dawe) wrote :

Hi Brian

I have reinstalled 7.04 using the alternate cd (I booted from the original
live cd but with no mouse it's hard to install).

OK the info I have is as follows -

uname -a

Linux ubuntu 2.6.50-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686
GNU/Linux

the other log files are attached which was a mission in itself (linux
newbie) i've reconfigured xserver several times with different mouse
settings and manually added lines to modules to load a 'driver' but it never
changes the mouse doesn't work. The keyboard is fine. This seems to be quite
a common error in the forums. I hope this info helps.

Loki

----- Original Message -----
From: "Brian Murray" <email address hidden>
To: <email address hidden>
Sent: Monday, April 23, 2007 9:01 PM
Subject: [Bug 108382] Re: ps2 mouse does not work in Feisty FINAL VERSION

loki-uk could you provide us with the output of lspci and dmesg as I
asked for earlier? I have been unable to reproduce this issue with a
PS2 mouse here.

--
ps2 mouse does not work in Feisty FINAL VERSION
https://bugs.launchpad.net/bugs/108382
You received this bug notification because you are a direct subscriber
of the bug.

Brian Murray (brian-murray) wrote :

Loki, unfortunately Malone, Ubuntu's bug tracker, does not accept attachments via e-mail. Could you please add the files by visiting your bug's web page? Thanks again.

Bob Warren (warren-howsoft) wrote :

Brian:

I don't know how relevant it is, but here is some info from the Feisty
Device Manager on my machine:

Sis85C503/5513 (LPC Bridge)
PS/2 Port for PS/2-style Mice
IBM Enhanced (101/102-key, PS/2 mouse support)

If you don't have access to a similar machine, I imagine it would be
difficult to reproduce the PS/2 mouse problem.

If there's any other info I can help you with (leaving aside
near-impossible tasks that only people like Loki-uk can achieve), then
please let me know.

Bob

asis (supporto-asis) wrote :

Just the same problem on the following hardware:
MB: ASUS CUSI-FX bios rel 1018.005
CPU: PIII 800MHz
no PS2 mouse is detected as input device.
Maybe a 2.6.20 bug under SIS chipset mobos.

Loki-uk (brian-dawe) wrote :

Hi Brian

I have reinstalled 7.04 using the alternate cd (I booted from the original
live cd but with no mouse it's hard to install).

OK the info I have is as follows -

uname -a

Linux ubuntu 2.6.50-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686
GNU/Linux

the other log files are attached which was a mission in itself (linux
newbie) i've reconfigured xserver several times with different mouse
settings and manually added lines to modules to load a 'driver' but it never
changes the mouse doesn't work. The keyboard is fine. This seems to be quite
a common error in the forums. I hope this info helps.

Loki

Loki-uk (brian-dawe) wrote :

2nd log

Loki-uk (brian-dawe) wrote :

My hardware is different two setups -

Asus P5B
3.2GHZ Pentium D - both
S3 video on one NVidia on other
384MB - 1GB
500GB HD

Loki-uk (brian-dawe) wrote :

I also have another PC which I can installl 7.04 on and try if you need more into. :)

n3ovs (n3ovs) wrote :

gee... I'm seeing exactly the same thing here with SiS chipset motherboard... older version (6.06) worked fine but the 7.04 doesn't seem to like the psaux mouse.... usb mouse is detected and works fine

2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

I spent two days messing with this before I decided to check on-line to see if anybody else was having similar problem ;-(

clip from dmesg:
[ 38.667776] PNP: PS/2 Controller [PNP0303,PNP0f13] at 0x60,0x64 irq 1,12
[ 38.920577] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 38.921275] EISA: Probing bus 0 at eisa.0

seems to be missing the 2nd serio for the mouse port....

Moe

Changed in linux-source-2.6.20:
assignee: brian-murray → ubuntu-kernel-team
importance: Undecided → High
status: Needs Info → Confirmed
danrevella (darthmaurizio) wrote :

Under Xubuntu 7.04 even a serial mouse does NOT works!!!
Xubuntu is not the ideal for old computers?
I'm really sorry for this bug... my friends tell me is better I come back to windows... :-(

partymonkey (thepartymonkey) wrote :

I have this problem with Ubunty 7.04 when trying to install it under Microsoft Virtual PC 2007. This problem did not exist with Ubuntu 6.10 under Virtual PC 2007. I have tried a number of things but have been unsuccessful at getting the mouse to work under Feisty and Virtual PC.

Here is the requested information:
uname -a:
Linux ubuntu 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

And the dmesg and lspci output are attached in the zip file.

Loki-uk (brian-dawe) wrote :

You sent it to the wrong Brian ;) You want Brian Murray

:)

----- Original Message -----
From: "partymonkey" <email address hidden>
To: <email address hidden>
Sent: Wednesday, April 25, 2007 11:41 PM
Subject: [Bug 108382] Re: ps2 mouse does not work in Feisty FINAL VERSION

I have this problem with Ubunty 7.04 when trying to install it under
Microsoft Virtual PC 2007. This problem did not exist with Ubuntu 6.10
under Virtual PC 2007. I have tried a number of things but have been
unsuccessful at getting the mouse to work under Feisty and Virtual PC.

Here is the requested information:
uname -a:
Linux ubuntu 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686
GNU/Linux

And the dmesg and lspci output are attached in the zip file.

** Attachment added: "Contains dmesg.log and lspci output"
   http://librarian.launchpad.net/7408365/mouse_feisty.zip

--
ps2 mouse does not work in Feisty FINAL VERSION
https://bugs.launchpad.net/bugs/108382
You received this bug notification because you are a direct subscriber
of the bug.

undy (undy) wrote :

I have the same problem after upgradig from 6.10 to 7.04.

uname -a output:
Linux boris 2.6.20-15-386 #2 Sun Apr 15 07:34:00 UTC 2007 i686 GNU/Linux

I'm attaching the lspci anddmesg otputs (I hope)

coolman_i (coolman-suk) wrote :

Yep this is conformed,
there is definitely a prob with sis chipset/motherboards. i installed XUBUNTU on my friends old system and my experience was similar to everyones else. I tried almost evry possible change i could make to xorg.conf shifted to /dev/input/mice and /dev/input/mouse1 ,mouse2 etc etc.

Since i am good with linux you can ask me for any information you may require.

and ppl please take part in beta releases , i have decided that from now i would, your ubuntu's rep is at stake!

Loki-uk (brian-dawe) wrote :

The mouse is a kernel prblem if you look around other distros are reporting
it too not just ubuntu.

Brian

----- Original Message -----
From: "coolman_i" <email address hidden>
To: <email address hidden>
Sent: Saturday, April 28, 2007 7:36 PM
Subject: [Bug 108382] Re: ps2 mouse does not work in Feisty FINAL VERSION

Yep this is conformed,
there is definitely a prob with sis chipset/motherboards. i installed
XUBUNTU on my friends old system and my experience was similar to everyones
else. I tried almost evry possible change i could make to xorg.conf shifted
to /dev/input/mice and /dev/input/mouse1 ,mouse2 etc etc.

Since i am good with linux you can ask me for any information you may
require.

and ppl please take part in beta releases , i have decided that from now
i would, your ubuntu's rep is at stake!

--
ps2 mouse does not work in Feisty FINAL VERSION
https://bugs.launchpad.net/bugs/108382
You received this bug notification because you are a direct subscriber
of the bug.

Loki-uk (brian-dawe) wrote :

My motherboard is not SIS this is a problem in general and it's appearing in loads of distros not just ubuntu.

But my boards are ASUS?

Loki

coolman_i (coolman-suk) wrote :

yep! board us asus AND chips are SIS

Loki-uk <brian......pipex.com> wrote:
My motherboard is not SIS this is a problem in general and it's appearing in loads of distros not just ubuntu.

But my boards are ASUS?

Loki

--

---------------------------------
Ahhh...imagining that irresistible "new car" smell?
 Check outnew cars at Yahoo! Autos.

Jim Fraley (ubuntu-jimfraley) wrote :

I can confirm the problem exists with Ubuntu 7.04 and MS Virtual PC 2007. Around here, we use virtual machines all the time, but I can understand the Linux devs might not. However, I am rather surprised the BETA process did not include any SiS-based systems (which would have exposed this problem sooner). Mind you, I realize the devs cannot possibly have a copy of every piece of hardware on hand. This problem does seem widespread enough to have been exposed with a large BETA audience.

A black eye for Linux, in general, and Ubuntu, specifically?

BTW, why is a fix taking so long?

Jim Fraley (ubuntu-jimfraley) wrote :

If you check around, reports of problems with PS2 mice date back at least to January and 2.6.19

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=223606

Joe (jvender) wrote :

I can confirm that this is a bug in Feisty final. I've also posted a note on bug #108221 since my particular computer uses the SiS chipsets which may be relevant.

After booting up the Ubuntu 7.04 final liveCD, my mouse pointer was inoperative. I can also confirm bug exists on Kubuntu 7.04 final on liveCD. I had no such problem when using 6.06 LTS versions of Ubuntu/Kubuntu/Xubuntu from either liveCD or full install to HDD.

I've attached the relevant logs which were requested. I reiterate the question that was asked by another person here, why is this taking so long to fix? That this made it into the final release is not good for Ubuntu's reputation, to say the least. As it is, Feisty is unusable for me as a desktop OS without a functional mouse. If I can provide any more needed info, please let me know, so a fix can be quickly put into the repositories. I not a developer, just a regular user, but I'll help any way I can.

By the way, since the liveCD that is out contains this bug, there are going to be tons of linux newbies who won't have a clue how to get the system upgraded and workable after a fix is put into the repos using just the keyboard and without a functional mouse. Ubuntu should immediately start offering a fixed Ubuntu CD, with a functional PS/2 mouse "out of the box" as soon as the fix is available. Additionally, Ubuntu should provide notice at the download site that users having the specific hardware (PS/2 mouse, SiS chipsets) that this bug is confirmed on will not have a working mouse upon system bootup. That way, Cononical can minimize the number of wasted CDs that will be shipped to users who can't use them. Just my $0.02 worth.

Joe

why is it taking so long?

i have systems to fix.

Joe <email address hidden> wrote: I can confirm that this is a bug in Feisty final. I've also posted a
note on bug #108221 since my particular computer uses the SiS chipsets
which may be relevant.

After booting up the Ubuntu 7.04 final liveCD, my mouse pointer was
inoperative. I can also confirm bug exists on Kubuntu 7.04 final on
liveCD. I had no such problem when using 6.06 LTS versions of
Ubuntu/Kubuntu/Xubuntu from either liveCD or full install to HDD.

I've attached the relevant logs which were requested. I reiterate the
question that was asked by another person here, why is this taking so
long to fix? That this made it into the final release is not good for
Ubuntu's reputation, to say the least. As it is, Feisty is unusable for
me as a desktop OS without a functional mouse. If I can provide any more
needed info, please let me know, so a fix can be quickly put into the
repositories. I not a developer, just a regular user, but I'll help any
way I can.

By the way, since the liveCD that is out contains this bug, there are
going to be tons of linux newbies who won't have a clue how to get the
system upgraded and workable after a fix is put into the repos using
just the keyboard and without a functional mouse. Ubuntu should
immediately start offering a fixed Ubuntu CD, with a functional PS/2
mouse "out of the box" as soon as the fix is available. Additionally,
Ubuntu should provide notice at the download site that users having the
specific hardware (PS/2 mouse, SiS chipsets) that this bug is confirmed
on will not have a working mouse upon system bootup. That way, Cononical
can minimize the number of wasted CDs that will be shipped to users who
can't use them. Just my $0.02 worth.

Joe

** Attachment added: "kubuntu-7.04-final-debug-logs.tar.gz"
   http://librarian.launchpad.net/7579865/kubuntu-7.04-final-debug-logs.tar.gz

--
ps2 mouse does not work in Feisty FINAL VERSION
https://bugs.launchpad.net/bugs/108382
You received this bug notification because you are a direct subscriber
of the bug.

---------------------------------
Ahhh...imagining that irresistible "new car" smell?
 Check outnew cars at Yahoo! Autos.

Loki-uk (brian-dawe) wrote :

how do you apply this patch?

On Tuesday 08 May 2007 18:24, Loki-uk wrote:
> how do you apply this patch?

If you don't know how to apply a patch, you should probably wait for the
patched kernel to appear in the repositories, then use the standard ubuntu
update tools such as apt, synaptic or adept to retrieve and install the new
kernel. If this patch is an *official* ubuntu kernel team patch, or is
accepted by the team, then it shouldn't take long to get posted. The longer
they wait to get the fix out, the more bad press ubuntu will get, so its in
their interest to get a fix ASAP. Sorry, can't help you with the specifics of
applying the patch, since I haven't tried patching/building a new kernel in
linux.

Loki-uk, if you're desperate, you might want to try out this patch:

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/87262/comments/13

I'm curious to know if it works outside of Virtual PC.

Hi!

I can confirm the patch has worked correctly on my hardware, out of a fresh 7.04 DVD installation:

gerardo@posto1:~$ lspci
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 630 Host (rev 30)
00:00.1 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev d0)
00:01.0 ISA bridge: Silicon Integrated Systems [SiS] SiS85C503/5513 (LPC Bridge)
00:01.1 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet (rev 84)
00:01.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 07)
00:01.3 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 07)
00:02.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual PCI-to-PCI bridge (AGP)
00:05.0 Multimedia audio controller: C-Media Electronics Inc CM8738 (rev 10)
00:0e.0 Communication controller: Conexant HSF 56k Data/Fax/Voice Modem (rev 01)
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 630/730 PCI/AGP VGA Display Adapter (rev 21)
gerardo@posto1:~$ dmesg | grep serio
[ 23.829606] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 23.829619] serio: i8042 AUX port at 0x60,0x64 irq 12
gerardo@posto1:~$ uname -a
Linux posto1 2.6.20-15-generic #2 SMP Sun Apr 15 07:36:31 UTC 2007 i686 GNU/Linux

BTW, this is a ASUS TUSI motherboard (Socket 370).

I don't know if there are any side effects to this patch as I have just applied it.
This has been a real showstopper for me :(

Have a nice day.

Loki-uk (brian-dawe) wrote :

I don't how to apply a patch lol but that won't stop me trying :) I'll never learn otherwise!!!! and after all whats the worst can happen??? MUHAHAHAAHA

:)

SlipStreamInsane (lucasholmes) wrote :

Same bug here at work...

quite a funny story really, i've been ranting and raving to the people here about how fantastic linux and ubuntu is, and why we dont need windows to be the office fileserver. So i download the lovely new fiesty, to run the live CD and show it off, and bang. No mouse working. Made me look like a bit of an idiot. oh well, such is live. glad its a common bug and hopefully is fixed soon.
:)
thanks in advance to the ubuntu team.

Rune K. Svendsen (runeks) wrote :

I'm experiencing this bug as well. I've posted some info in a bug report made before I discovered it here: https://bugs.launchpad.net/ubuntu/+bug/114659. I've marked my bug report as a duplicate of this bug.

I've experienced this bug 2 times out of the 3 times I've upgraded 6.10 to 7.04. I'll see if I can dig up a date on the upgrade that worked, it was circa 1-2 months ago as far as I recall. The two non-working upgrades were made, starting with the first, about 1-2 weeks ago.

Rune K. Svendsen (runeks) wrote :

I've marked the following bugs as duplicates because they seem to describe the same problem: bug 106289, bug 40711, bug 79112, bug 114659 (mine). Here's some info from my bug report:

Various logs from /var/log/:

From "messages":

(Prior to upgrade:)
May 11 21:35:04 rune-desktop kernel: [17179573.876000] input: AT Translated Set 2 keyboard as /class/input/input0

(After upgrading:)
May 14 11:45:02 rune-desktop kernel: [ 24.533376] input: AT Translated Set 2 keyboard as /class/input/input1

From "messages":

May 14 11:45:02 rune-desktop kernel: [ 24.450880] PNP: PS/2 Controller [PNP0303:PS2K] at 0x60,0x64 irq 1
May 14 11:45:02 rune-desktop kernel: [ 24.450884] PNP: PS/2 controller doesn't have AUX irq; using default 12

From ":0.log":

The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning: Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
> Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
(EE) xf86OpenSerial: Cannot open device /dev/wacom
 No such file or directory.
Error opening /dev/wacom : Success
(EE) xf86OpenSerial: Cannot open device /dev/wacom
 No such file or directory.
Error opening /dev/wacom : Success
(EE) xf86OpenSerial: Cannot open device /dev/wacom
 No such file or directory.
Error opening /dev/wacom : Success
Could not init font path element /usr/X11R6/lib/X11/fonts/misc, removing from list!
Could not init font path element /usr/share/fonts/X11/cyrillic, removing from list!
Could not init font path element /usr/X11R6/lib/X11/fonts/Type1, removing from list!

Rune K. Svendsen (runeks) wrote :

Booting with acpi=off in the kernel line fixes this problem for me...

Robert Entner (robertentner) wrote :

It also solves the problem on my Athlon 1600+ but it disables power down after shut down, which is very annoying.

BTW on my computer the PS2 keyboard does not work with Feisty's kernel.

Booting with acpi=off in the kernel line not helped me.
(SiS chipset)

Lukas Bernard

I have put some test kernels with the -mm tree patch previously mentioned applied in http://people.ubuntu.com/~pkl/ps2
There's images for i386 and x86_64.

Please test and let me know if they fix the ps/2 mouse/keyboard problem.

If anyone needs to know, the package can be installed by sudo dpkg --install linux-image-2.6.20-16-generic_2.6.20-16.28_i386.deb and removed by sudo dpkg --purge linux-image-2.6.20-16-generic (for the i386 version).

Thanks.

asis (supporto-asis) wrote :

Applying linux-image-2.6.20-16-generic_2.6.20-16.28_i386.deb, did NOT solve the ps/2 mouse issue on ASUS CUSI-FX (SiS chipset)

Lukas Bernard (bernard-arcig) wrote :

I installed your new kernel, i386 version, but mouse is still not working.
Lukas Bernard, SiS chipset

Phillip Lougher napsal(a):
> I have put some test kernels with the -mm tree patch previously mentioned applied in http://people.ubuntu.com/~pkl/ps2
> There's images for i386 and x86_64.
>
> Please test and let me know if they fix the ps/2 mouse/keyboard problem.
>
> If anyone needs to know, the package can be installed by sudo dpkg
> --install linux-image-2.6.20-16-generic_2.6.20-16.28_i386.deb and
> removed by sudo dpkg --purge linux-image-2.6.20-16-generic (for the i386
> version).
>
> Thanks.
>

Rune K. Svendsen (runeks) wrote :

I just tried with the new kernal as well, it's a no-go for me too unfortunately.

Bill Farmer (williamjfarmer) wrote :

I have also had this problem, not with a SiS based, system, but with an Intel 440FX. ASUS KN97-X motherboard. The unsupported-patch-for-87262 mentioned above has temporarily fixed the problem. lspci:
00:00.0 Host bridge: Intel Corporation 440FX - 82441FX PMC [Natoma] (rev 02)
00:01.0 ISA bridge: Intel Corporation 82371SB PIIX3 ISA [Natoma/Triton II] (rev 01)
00:01.1 IDE interface: Intel Corporation 82371SB PIIX3 IDE [Natoma/Triton II]
00:01.2 USB Controller: Intel Corporation 82371SB PIIX3 USB [Natoma/Triton II] (rev 01)
00:0a.0 SCSI storage controller: BusLogic Flashpoint LT (rev 01)
00:0b.0 Multimedia audio controller: Ensoniq ES1371 [AudioPCI-97] (rev 06)
00:0c.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro 215GP (rev 5c)
00:0d.0 Communication controller: Ambient Technologies Inc HaM controllerless modem (rev 02)
Bill

Bill Farmer (williamjfarmer) wrote :

I have now tested linux-image-2.6.20-16-generic mentioned above. This does not fix the mouse problem. Have also attached dmesg.log.
Bill

OK, second try at fixing this problem.

I have put a new test kernel in http://people.ubuntu.com/~pkl/ps2. There is currently a kernel for i386, a x86_64 kernel will be available as soon as it builds.

Please test and let me know if this second try fixes the ps/2 mouse/keyboard problem.

If anyone needs to know, the package can be installed by sudo dpkg --install linux-image-2.6.20-16-generic_2.6.20-16.28_i386.deb and removed by sudo dpkg --purge linux-image-2.6.20-16-generic (for the i386 version).

Thanks.

Matt Andrews (mqatrombone) wrote :

Unfortunately, this does not work with Virtual PC 2007. What information can I send to help?

Can anyone with real hardware try this kernel?

There is some indication that the Virtual PC problems are due to another bug. The upstream patches in my test-kernel are definately reported to fix the SiS chipset problems on real-hardware.

Emilie Roberts (emilieroberts) wrote :

The above kernel SOLVED the problem for me (linux-image-2.6.20-16-generic_2.6.20-16.28_i386.deb)! Yay, thanks.

My current uname -a:
Linux mumsville 2.6.20-16-generic #1 SMP Mon May 21 12:20:12 BST 2007 i686 GNU/Linux

My old dmesg | grep serio:
[ 30.544408] serio: i8042 KBD port at 0x60,0x64 irq 1

My current dmesg | grep serio:
[ 29.687985] serio: i8042 KBD port at 0x60,0x64 irq 1
[ 29.687996] serio: i8042 AUX port at 0x60,0x64 irq 12

lspci (short version, lspci -vvnn is attached):
00:00.0 Host bridge: Silicon Integrated Systems [SiS] 630 Host (rev 30)
00:00.1 IDE interface: Silicon Integrated Systems [SiS] 5513 [IDE] (rev d0)
00:01.0 ISA bridge: Silicon Integrated Systems [SiS] SiS85C503/5513 (LPC Bridge)
00:01.1 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet (rev 84)
00:01.2 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 07)
00:01.3 USB Controller: Silicon Integrated Systems [SiS] USB 1.0 Controller (rev 07)
00:01.4 Multimedia audio controller: Silicon Integrated Systems [SiS] SiS PCI Audio Accelerator (rev 02)
00:02.0 PCI bridge: Silicon Integrated Systems [SiS] Virtual PCI-to-PCI bridge (AGP)
00:0e.0 Multimedia controller: Philips Semiconductors SAA7133/SAA7135 Video Broadcast Decoder (rev f0)
01:00.0 VGA compatible controller: Silicon Integrated Systems [SiS] 630/730 PCI/AGP VGA Display Adapter (rev 21)

If you need any more info, let me know!

Thanks again,
Emilie

asis (supporto-asis) wrote :

The last kernel SOLVED the problem on my real hardware with ASUS CUSI-FX motherboard (Sis chipset)

Thanks!

Rune K. Svendsen (runeks) wrote :

The last kernel did NOT solve the problem on my computer. I have an ABIT KR7A-RAID motherboard with a VIA chipset.

Bill Farmer (williamjfarmer) wrote :

The last kernel did NOT solve the problem on my ASUS KN97-X motherboard, Intel 440FX chipset. Details above.
Bill

Bradly Wilson (mocoloco) wrote :

Just another confirmation that this SOLVES the problem on an Sis chipset.

qbanguy (qbanguy7) wrote :

the kernel pacth worked fine while Virtual PC and my mobo is a MSI Neo-4 plat. good luck

Robert Entner (robertentner) wrote :

The new kernel does NOT solve the problem with my PS2 keyboard using an Athlon 1600+ on a VIA KT133 chipset.

Rik Snel (rsnel) wrote :

Success report from SiS 630. The touchpad works OK again.

Philip: can you post your patch somewhere, so I can put it in my custom kernel?

wna (me-jansteffan) wrote :

image-2.6.20-16-generic_2.6.20-16.28_i386.deb does NOT solve PS2 Keyboard problem for VIA KT133-VT8363 (acpi=off works)

I had a Feisty upgrade and now the PS2 keyboard does not work.

I have tried the http://people.ubuntu.com/~pkl/ps2/linux-image-2.6.20-16-generic_2.6.20-16.28_i386.deb (21-May-2007 13:37) patch but it does not solve the problem.

I attach the uname -a, dmesg and lspci -vvnn output (with the patched kernel as you see in the logs) as a tarball (as keyboard does not work it was created using an ssh connection).

Let me know if I may help any more patching this bug.

Emilie Roberts (emilieroberts) wrote :

So, maybe this is summing up the obvious but:

There seems to be two different bugs that produce the same symptoms. The patched kernel above fixes the bug for SiS chipsets and should somehow be moved into the main Ubuntu tree. There is a separate bug for VIA chipsets that may be related to the acpi subsystem and seems to be correctable in some cases with the kernel line acpi=off but which is not solved by the above kernel. So:

1 - Is there anybody with an SiS chipset for whom the above kernel does not fix this problem?
2 - Anyone have any ideas how to address the VIA bug?
3 - How do we get the patch into the ubuntu tree so at least those with SiS chipsets can move on?

asch (asch) wrote :

Thanks for the extremely fast reply! I did not figure out it myself so your hint helped me much.

I have a VIA chipset and the acpi=off switch had fixed my system. Now my mother can be browsing the net without any problem again :-).

+1 for Ubuntu :-)

I'm very pleased indeed. Best regards!

RIk Snel

The patches to get this to work are in the Feisty git tree, they're also available (obviously) in the 2.6.20-16-28 source package, but the git tree is the only version that has the commit history necessary to isolate the patches.

git-clone git://kernel.ubuntu.com/ubuntu/ubuntu-feisty.git

The three patch commits are

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-feisty.git;a=commit;h=5e8f1c7fee43fcf2b1a7710776880f9ee245345a
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-feisty.git;a=commit;h=f283cf52c4c8818e18c6e41275ff3e72ab412755
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-feisty.git;a=commit;h=d930b628239a2556cfcfd021c628b55d153ba32f

Phillip

Hi,

Thanks to everyone who has tried the new kernel, and reported their experiences.

It looks like the SiS chipset issue which this bug was raised against has been fixed. As such, I'm marking this bug as fixed.

For those of you still experiencing problems with VIA chipsets and VirtualPC, can you raise separate bugs (the issues appear to separate), so that these ongoing bugs can be tracked.

Thanks

Changed in linux-source-2.6.20:
status: Confirmed → Fix Committed
status: Fix Committed → Fix Released
Rune K. Svendsen (runeks) wrote :

Hooray! I just booted with the newest kernel that was updated by the Update Manager and now my keyboard works with no acpi=off. I've tried both kernels (linux-image-2.6.20-16-generic_2.6.20-16.28_i386.deb) posted by you Phillip Lougher on 2007-05-17 and 2007-05-21.

I have a VIA KT266A / VIA VT8233 chipset on an ABIT KR7A-RAID motherboard.

rune@rune-desktop:~$ uname -a
Linux rune-desktop 2.6.20-16-generic #1 SMP Mon May 21 12:20:12 BST 2007 i686 GNU/Linux

Rune K. Svendsen (runeks) wrote :

I should make clear that the two kernels posted by Phillip Lougher did not make my keyboard work.

The outpout of 'sudo lspci -vvnn > lspci-vvnn.log' is attached.

asch (asch) wrote :

As someone suggested that the VIA chipset bug is a different one I opened a new issue for the PS2 bug related to VIA chipsets:

ps2 keyboard does not work on VIA chipset mainboard
https://bugs.launchpad.net/bugs/117899

Sanjay (sguptajee) wrote :

Hi
I am trying to find linux-image-2.6.20-16-generic_2.6.20-16.28_i386.deb. I get the web page not found error.
It appears this has been removed.

I have the same mouse (PS2) problem. Can someone please point me to this package.

Thanks

Michael Harrison (mh-aabac) wrote :

I do not know about software but I do know about hardware. It seems that, in my case, the driver "mouse" is picking up the wrong physical layer. Presumably "Protocol" refers to the software protocol and not the physical layer. If it was a real-time op. sys. I would expect to refer to a different driver for a mouse connected to the USB bus (or lower level driver). If the system was able to respond to either mouse, why are there not 2 entries under "InputDevice". One for each type of mouse. But perhaps Linux works in a different way. I am very new to Linux. I have been asked to put a comment here so that "it" can be triaged (whatever that means).

Fyi the mother board is a VA-503+ from 1st Mainboard and has a VIA Apollo MVP3 chipset. The manual is 1998. It is fitted with an AMD K6 processor.

My xorg.conf file reads:-

Section "InputDevice"
 Identifier "Configured Mouse"
 Driver "mouse"
 Option "CorePointer"
 Option "Device" "/dev/psaux"
 Option "Protocol" "IMPS/2"
 Option "ZAxisMapping "4 5"
 Option "Emulate3Buttons "true"
 Option "SendCoreEvents" "true" # added to force multiple pointing devices to be recognised
EndSection

I had this problem on a clean install of Gutsy. I then did a clean install of Edgy and updated to Feisty and that ended the life of the mouse. I went back to Edgy and it is still working. Have these patches been added to Hardy 8:04? This older machine has an Asus socket 7 and an AMDK6-2+ processor and the latest BIOS. That makes it a 1997 machine with ISA, PCI and no USB.. Regards Ian.

Hi

Just to confuse the issue, I have scrapped the AMDK6 (1st mainboard)
machine that I had this problem on and used the same CD to install the
op. sys. on an old IBM 300GL Pentium 2 machine. No problems with the
PS2 mouse! Just before I scrapped the K6 machine I decided to format
some old small IDE drives on it. While playing with the BIOS settings I
noticed an option to "enable USB mouse" which was enabled. I wondered if
this would have any influence on the problem but did not feel like
re-building the machine to find out.

Michael

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
<email address hidden>
Sent: 23 April 2008 20:57
To: <email address hidden>
Subject: [Bug 108382] Re: ps2 mouse does not work in Feisty FINAL
VERSION

I had this problem on a clean install of Gutsy. I then did a clean
install of Edgy and updated to Feisty and that ended the life of the
mouse. I went back to Edgy and it is still working. Have these patches
been added to Hardy 8:04? This older machine has an Asus socket 7 and
an AMDK6-2+ processor and the latest BIOS. That makes it a 1997 machine
with ISA, PCI and no USB.. Regards Ian.

--
ps2 mouse does not work in Feisty FINAL VERSION
https://bugs.launchpad.net/bugs/108382
You received this bug notification because you are a direct subscriber
of the bug.

--
No virus found in this incoming message.
Checked by AVG.
Version: 7.5.524 / Virus Database: 269.23.3/1392 - Release Date:
22/04/2008 15:51

Hi,

On Wed, Apr 23, 2008 at 07:57:26PM -0000, <email address hidden> wrote:
> [..] updated to Feisty and that ended the life of the mouse.
> I went back to Edgy and it is still working. Have these patches
> been added to Hardy 8:04? This older machine has an Asus socket 7 and
> an AMDK6-2+ processor and the latest BIOS.

Please test your mouse with latest Ubuntu 8.04 LiveCD. If your mashine
has less than 256 RAM I suggest you to download and test with XUbuntu
8.04 - If you are from Canada, you can download latest version from:

http://hex1a4.net/xubuntu/mirror/releases/8.04/

Also you can use another mirror, see http://xubuntu.org/get

> --
> ps2 mouse does not work in Feisty FINAL VERSION
> https://bugs.launchpad.net/bugs/108382

--
Labanaktis/Good luck,
Mantas Kriaučiūnas Jabber ID: <email address hidden> GPG ID: 43535BD5
Public organization "Open Source for Lithuania" - www.akl.lt

Thanks Michael

I have got rid of the machine. I am planning to get a slightly better used
machine.

Sanjay

--------------------------------------------------
From: "Michael Harrison" <email address hidden>
Sent: Thursday, April 24, 2008 8:22 AM
To: <email address hidden>
Subject: RE: [Bug 108382] Re: ps2 mouse does not work in Feisty FINAL
VERSION

> Hi
>
> Just to confuse the issue, I have scrapped the AMDK6 (1st mainboard)
> machine that I had this problem on and used the same CD to install the
> op. sys. on an old IBM 300GL Pentium 2 machine. No problems with the
> PS2 mouse! Just before I scrapped the K6 machine I decided to format
> some old small IDE drives on it. While playing with the BIOS settings I
> noticed an option to "enable USB mouse" which was enabled. I wondered if
> this would have any influence on the problem but did not feel like
> re-building the machine to find out.
>
> Michael
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> <email address hidden>
> Sent: 23 April 2008 20:57
> To: <email address hidden>
> Subject: [Bug 108382] Re: ps2 mouse does not work in Feisty FINAL
> VERSION
>
>
> I had this problem on a clean install of Gutsy. I then did a clean
> install of Edgy and updated to Feisty and that ended the life of the
> mouse. I went back to Edgy and it is still working. Have these patches
> been added to Hardy 8:04? This older machine has an Asus socket 7 and
> an AMDK6-2+ processor and the latest BIOS. That makes it a 1997 machine
> with ISA, PCI and no USB.. Regards Ian.
>
> --
> ps2 mouse does not work in Feisty FINAL VERSION
> https://bugs.launchpad.net/bugs/108382
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>
> --
> No virus found in this incoming message.
> Checked by AVG.
> Version: 7.5.524 / Virus Database: 269.23.3/1392 - Release Date:
> 22/04/2008 15:51
>
> --
> ps2 mouse does not work in Feisty FINAL VERSION
> https://bugs.launchpad.net/bugs/108382
> You received this bug notification because you are a direct subscriber
> of the bug.

I am planning to use the latest 8.04...

Thanks

--------------------------------------------------
From: "Mantas Kriaučiūnas" <email address hidden>
Sent: Thursday, April 24, 2008 9:18 AM
To: <email address hidden>
Subject: [Bug 108382] Please test your mouse with latest Ubuntu 8.04
LiveCD(Was: ps2 mouse does not work in Ubuntu)

> Hi,
>
> On Wed, Apr 23, 2008 at 07:57:26PM -0000, <email address hidden> wrote:
>> [..] updated to Feisty and that ended the life of the mouse.
>> I went back to Edgy and it is still working. Have these patches
>> been added to Hardy 8:04? This older machine has an Asus socket 7 and
>> an AMDK6-2+ processor and the latest BIOS.
>
> Please test your mouse with latest Ubuntu 8.04 LiveCD. If your mashine
> has less than 256 RAM I suggest you to download and test with XUbuntu
> 8.04 - If you are from Canada, you can download latest version from:
>
> http://hex1a4.net/xubuntu/mirror/releases/8.04/
>
> Also you can use another mirror, see http://xubuntu.org/get
>
>> --
>> ps2 mouse does not work in Feisty FINAL VERSION
>> https://bugs.launchpad.net/bugs/108382
>
> --
> Labanaktis/Good luck,
> Mantas Kriaučiūnas Jabber ID: <email address hidden> GPG ID: 43535BD5
> Public organization "Open Source for Lithuania" - www.akl.lt
>
> --
> ps2 mouse does not work in Feisty FINAL VERSION
> https://bugs.launchpad.net/bugs/108382
> You received this bug notification because you are a direct subscriber
> of the bug.

dstoian (dstoian) wrote :

I got the same problem in 8.04 Hardy Heron.

This post helped me to get my PS/2 mouse working:

https://lists.ubuntu.com/archives/ub...st/091809.html

Quote:

Code:

sudo gedit /etc/rc.local

then type in:

modprobe -r psmouse
modprobe psmouse proto=imps

Place this before the exit 0 line

save and restart - should have your ps/2 mouse back

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions